SND_PCM_FORMAT_SET_S(9)

NAME
snd_pcm_format_set_silence - set the silence data on the buffer

SYNOPSIS

int snd_pcm_format_set_silence(snd_pcm_format_t format, void * data, unsigned int samples);

ARGUMENTS

format
    the PCM format

data
    the buffer pointer

samples
    the number of samples to set silence

DESCRIPTION

Sets the silence data on the buffer for the given samples.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT